package com.pcloud.book.appeal.dto;

import com.pcloud.common.dto.BaseDto;

/**
 * 申诉编辑Dto
 * @author:lihao
 * @date 创建时间：2017年7月10日 下午3:22:42
 * @version 1.0
 */
public class AppealAdviserDto extends BaseDto{
	/**
	 * 序列化
	 */
	private static final long serialVersionUID = -9106424961159235896L;

	/**
	 * 图书申诉标识
	 */
	private Long bookAppealId;
	
	/**
	 * 图书标识
	 */
	private Long bookId;
	
	/**
	 * 渠道标识
	 */
	private Long channelId;
	/**
	 * 编辑标识
	 */
	private Long adviserId;
	
	/**
	 * 编辑名称
	 */
	private String adviserName;
	
	/**
	 * 出版社名称
	 */
	private String agentName;
	
	private Boolean isMainEditor;

	/**
	 * 运营名称
	 */
	private String channelName;

	public Long getBookAppealId() {
		return bookAppealId;
	}

	public void setBookAppealId(Long bookAppealId) {
		this.bookAppealId = bookAppealId;
	}

	public Long getBookId() {
		return bookId;
	}

	public void setBookId(Long bookId) {
		this.bookId = bookId;
	}

	public Long getChannelId() {
		return channelId;
	}

	public void setChannelId(Long channelId) {
		this.channelId = channelId;
	}

	public Long getAdviserId() {
		return adviserId;
	}

	public void setAdviserId(Long adviserId) {
		this.adviserId = adviserId;
	}

	public String getAdviserName() {
		return adviserName;
	}

	public void setAdviserName(String adviserName) {
		this.adviserName = adviserName;
	}

	public String getAgentName() {
		return agentName;
	}

	public void setAgentName(String agentName) {
		this.agentName = agentName;
	}

	public Boolean getIsMainEditor() {
		return isMainEditor;
	}

	public void setIsMainEditor(Boolean isMainEditor) {
		this.isMainEditor = isMainEditor;
	}

	public String getChannelName() {
		return channelName;
	}

	public void setChannelName(String channelName) {
		this.channelName = channelName;
	}

	@Override
	public String toString() {
		return "AppealAdviserDto{" +
				"bookAppealId=" + bookAppealId +
				", bookId=" + bookId +
				", channelId=" + channelId +
				", adviserId=" + adviserId +
				", adviserName='" + adviserName + '\'' +
				", agentName='" + agentName + '\'' +
				", isMainEditor=" + isMainEditor +
				", channelName='" + channelName + '\'' +
				'}';
	}
}
